/********** Template CSS **********/
:root {
    --primary: #323370;
    --secondary: #f4be00;
    --light: #FFFFFF;
    --dark: #2B2825;
}

.font-secondary {
    font-family: 'Pacifico', cursive;
}

h1,
h2,
.font-weight-bold {
    font-weight: 700 !important;
}

h3,
h4,
.font-weight-semi-bold {
    font-weight: 600 !important;
}

h5,
h6,
.font-weight-medium {
    font-weight: 500 !important;
}

.btn {
    font-family: 'Oswald', sans-serif;
    font-weight: 600;
    transition: .5s;
}

.btn-primary {
    color: #FFFFFF;
}

.border-inner {
    position: relative;
}

.border-inner * {
    position: relative;
    z-index: 1;
}

.border-inner::before {
    position: absolute;
    content: "";
    top: 10px;
    right: 10px;
    bottom: 10px;
    left: 10px;
    background: none;
    border: 1px solid var(--light);
    z-index: 0;
}

.btn-square {
    width: 40px;
    height: 40px;
}

.btn-sm-square {
    width: 30px;
    height: 30px;
}

.btn-lg-square {
    width: 50px;
    height: 50px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding-left: 0;
    padding-right: 0;
    text-align: center;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 0;
    border-radius: 0;
    z-index: 99;
}

.navbar-dark .navbar-nav .nav-link {
    font-family: 'Oswald', sans-serif;
    padding: 30px 15px;
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--light);
    outline: none;
    transition: .5s;
}

.sticky-top.navbar-dark .navbar-nav .nav-link {
    padding: 20px 15px;
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
    color: var(--secondary);
}

@media (max-width: 991.98px) {
    .navbar-dark .navbar-nav .nav-link  {
        padding: 10px 0;
    }
}

.hero-header {
    background: url(../img/hero.jpg) top right no-repeat;
    background-size: cover;
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 16px;
    height: 26px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: #FFFFFF;
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #FFFFFF;
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #FFFFFF;
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: -1px;
    border-left: 16px solid var(--primary);
    border-top: 11px solid transparent;
    border-bottom: 11px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

/* #videoModal .modal-dialog {
    position: relative;
    max-width: 550px;
    margin: 60px auto 0 auto;
}

#videoModal .modal-body {
    position: relative;
    padding: 0px;
}

#videoModal .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
} */

.section-title::before {
    position: absolute;
    content: "";
    width: 60px;
    height: 10px;
    left: 50%;
    bottom: 0;
    margin-left: -30px;
    background: var(--primary);
}

.section-title::after {
    position: absolute;
    content: "";
    width: 180px;
    height: 2px;
    left: 50%;
    bottom: 4px;
    margin-left: -90px;
    background: var(--primary);
}

.service::after,
.contact::after {
    position: absolute;
    content: "";
    width: 100%;
    height: calc(100% - 45px);
    top: 135px;
    left: 0;
    background: linear-gradient(rgba(43, 40, 37, .9), rgba(43, 40, 37, .9)), url(../img/service.jpg) center center no-repeat;
    background-size: cover;
    z-index: -1;
}

.contact::after {
    background: linear-gradient(rgba(43, 40, 37, .5), rgba(43, 40, 37, .5)), url(../img/bg.jpg) center center no-repeat;
    background-size: cover;
}

.bg-offer {
    background: linear-gradient(rgba(43, 40, 37, .9), rgba(43, 40, 37, .9)), url(../img/offer.jpg) center center no-repeat;
    background-size: cover;
}

.team-item img {
    transition: .5s;
}

.team-item:hover img {
    transform: scale(1.1);
    filter: blur(5px)
}

.team-item .team-overlay {
    transition: .5s;
    opacity: 0;
}

.team-item:hover .team-overlay {
    opacity: 1;
}

.testimonial-carousel .owl-dots {
    height: 45px;
    margin-top: 30px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 2px;
    width: 10px;
    height: 25px;
    background: #DDDDDD;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    height: 45px;
    background: var(--primary);
}

.testimonial-carousel .owl-item .testimonial-item {
    opacity: .1;
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-item {
    opacity: 1;
}

.bg-img {
    background: linear-gradient(rgb(50 51 112 / 80%), rgb(50 51 112 / 80%)), url(../img/cake-bg.jpg) bottom center no-repeat;
    background-size: cover;
    padding: 0px 0px 3rem;
}
.bread-crum {
    background: linear-gradient(rgba(50, 51, 112, 0.637), rgba(50, 51, 112, 0.637)), url(../img/breadcrum.webp) bottom center no-repeat;
    background-size: cover;
    padding: 5rem 1rem!important;
}


/* #######-----------Custome CSS --------------###### */

.top-header{
    padding: 5px 0px 5px 0px;
}
.top-header i{
    color: var(--primary)!important;
}
.top-header a{
    color: var(--primary);
    font-weight: 700;
    font-family: sans-serif;
}
a.navbar-brand h1.brand-name{
    color: var(--secondary);
    text-align: start;
    margin-right: 20px;
}
.sticky-top .nav-bar-div{
    padding: 10px 100px;
}
.nav-bar-div{
    padding: 0px 100px;
    width: 100%;
    display: flex;
    align-items:center;
    justify-content: space-between;
}
.brand-name img{
    width: 100px;
}
@media(min-width:420px) and (max-width:767px){
    a.brand-name{
        display: none!important;
    }
    nav.navbar.navbar-expand-lg{
        border-bottom: 3px solid var(--secondary);
    }
}
.mobile-logo{
    width: 80px;
}

/* About Us  */

p.about-jnj{
    font-family: 'Oswald';
}    

/* Best selling  */
.bestselling-carousel .owl-dots {
    height: 45px;
    margin-top: 30px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.bestselling-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 2px;
    width: 10px;
    height: 25px;
    background: #DDDDDD;
    transition: .5s;
}

.bestselling-carousel .owl-dot.active {
    height: 45px;
    background: var(--primary);
}

.bestselling-carousel .owl-item.center .bestselling-item {
    opacity: 1;
}

/* Menu  */

img.menu-cake{
    width: 100px;
    height: 90px;
}
.menu-detail-div{
    width: 100%;
    position: relative;
}
.menu-detail-div:before{
    position: absolute;
    content: "";
    top: 10px;
    right: 10px;
    bottom: 10px;
    left: 10px;
    background: none;
    border: 1px solid var(--secondary);
    z-index: 0;
}

/* Products  */
.product-pading{
    padding: 12px;
}
.product-item{
    position: relative;
    border: 1px solid #c9c9d6;
}
.product-item .features{
    content: "";
    position: absolute;
    top: 6px;
    left: 0px;
    font-weight: 700;
    opacity: 0;
    background: var(--secondary);
    padding: 1px 8px 1px 5px;
    transition: all 0.5s ease;
}
.product-item:hover .features{
    content: "";
    position: absolute;
    top: 6px;
    left: 0px;
    opacity: 1;
    z-index: 1000;
    font-weight: 700;
    color: #323370;
    padding: 1px 8px 1px 5px;
}
.product-pading:hover .details-product {
    background: var(--secondary);
    padding: 20px 15px;
}
.details-product {
    background: var(--primary);
    padding: 20px 15px;
    transition: all 0.2s ease;
}
.details-product h5{
    margin-bottom: 0px;
    color: #fff;
}
.product-pading:hover .details-product h5, .product-pading:hover .details-product .div2 h4, .product-pading:hover .details-product .div2 .stars small{
    color: var(--primary);
}
.details-product .div2{
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.details-product .div2 h4, .details-product .div2 .stars small{
    color: var(--secondary);
}

/* Rating  */
.testimonial-rating{
    display: flex;
}
.testimonial-rating .stars{
    margin-left: 40px;
    color: var(--secondary);
}

/* Contact Page  */
.location-div{
    padding: 15px;
}
.location-div h6, .location-div h6 i{
    color: var(--secondary);
}
.location-div span{
    color: #fff;
}

@media(min-width:768px) and (max-width:992px){
    .display-4 {
        font-size: 30px!important;
    }
    nav.navbar.navbar-expand-lg.bg-dark.navbar-dark{
        padding: 5px 3rem!important;
    }
    h5, .h5 {
        font-size: 18px;
    }
    .service .p-5{
        padding: 2rem!important;
    }
    .service h4{
        font-size: 20px!important;
    }
    a.brand-name{
        display: none!important;
    }
}
@media(min-width:420px) and (max-width:768px){
    .display-4 {
        font-size: 20px!important;
    }
    a.brand-name{
        display: none!important;
    }
}
@media(max-width:768px){
    .nav-bar-div{
        padding-left: 20px!important;
    }
    .hero-header {
        background: url(../img/hero.jpg) top left no-repeat;
        background-size: cover;
        padding: 1rem 0.5rem!important;
    }
    .display-4 {
        font-size: 20px!important;
    }
    .service .p-5{
        padding: 2rem!important;
    }
    .service h4{
        font-size: 20px!important;
    }
    .tab-class a.nav-link {
        padding: 5px 6px!important;
        font-size: 15px!important;
    }
    .mb-5{
        margin-bottom: 0.5rem!important;
    }
    .sticky-top.navbar-dark .navbar-nav .nav-link {
        padding: 5px 15px!important;
        font-size: 16px!important;
    }
    nav.navbar.navbar-expand-lg.bg-dark.navbar-dark{
        padding: 5px 2rem!important;
    }
    .sticky-top .nav-bar-div {
        padding: 10px 0px!important;
    }
    h4{
        font-size: 20px!important;
    }
    a.brand-name{
        display: none!important;
    }
    .menu-detail-div h5{
        font-size: 16px!important;
    }
    .px-5{
        padding: 1rem!important;
    }
}